libc++abi1_3.5-2_amd64.deb


Advertisement

Description

libc++abi1 - LLVM low level support for a standard C++ library

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libc++abi1
Package version: 3.5
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 420 B
Download size: 91.71 KB
Official Mirror: ftp.br.debian.org
libc++abi is a new implementation of low level support for a standard C++ library. Features and Goals * Correctness as defined by the C++11 standard. * Provide a portable sublayer to ease the porting of libc++

Alternatives

    Download

    Source package: libc++

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libc++abi1 deb package:
      # sudo apt-get install libc++abi1

    Files

    • /usr/lib/x86_64-linux-gnu/libc++abi.so.1
    • /usr/lib/x86_64-linux-gnu/libc++abi.so.1.0
    • /usr/share/doc/libc++abi1/changelog.Debian.gz
    • /usr/share/doc/libc++abi1/copyright

    Changelog

    2014-09-28 - Sylvestre Ledru <sylvestre@debian.org> libc++ (3.5-2) unstable; urgency=medium * Remove a useless patch libcxx-use_libcxxabi.patch (Closes: #762354) * g++-libc++ helper now manages option -pthread (Closes: #760542) Thanks to Miles Bader for the patch * Fix the FTBFS under ARM/ARMHF by disabling the ARM EHABI exception handling (Closes: #761193) * Fails the build in case of error * Fix some files layout issues

    2014-09-03 - Sylvestre Ledru <sylvestre@debian.org> libc++ (3.5-1) unstable; urgency=medium * New upstream release * Now that libcxxabi is also official released, use stable releases * Update of the repack script * syntax-error-in-dep5-copyright fixed * Depends on clang instead of clang-X.Y

    2014-08-31 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn216840-1) unstable; urgency=medium * New snapshot release * Update the dependency from clang-3.4 to clang (co install) (Closes: #759938)

    2014-03-30 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn205159-1) unstable; urgency=medium * New snapshot release * Force the usage of clang 3.4 (Closes: #736991)

    2014-01-19 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn199600-1) unstable; urgency=low * New snapshot release * Standards-Version updated to 3.9.5 * Introduce package libc++-helpers (Closes: #718637) * Rename libc++-src => libc++-test * Rename libc++abi-src => libc++abi-test * For both, remove the sources from the packages (apt-get source libc++)

    2013-12-01 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn196040-1) unstable; urgency=low * New snapshot release

    2013-09-02 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn189766-1) unstable; urgency=low * New snapshot release

    2013-05-14 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn181765-1) unstable; urgency=low * New snapshot release * Upload to unstable

    2013-04-24 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn180177-1~exp1) experimental; urgency=low * New upstream release * Minimal clang version (>= 3.2) * Standards-Version updated to version 3.9.4

    2012-12-21 - Sylvestre Ledru <sylvestre@debian.org> libc++ (1.0~svn170866-1~exp1) experimental; urgency=low * New snapshot release * libc++-dev now provides libstdc++-dev * Update of the homepage * Update the minimal version of debhelper (9)

    Advertisement
    Advertisement